WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] New Post - Visual and Code View Gone ? (27 posts)

  1. RossGoodman
    Member
    Posted 6 years ago #

    Hi

    I recently upgraded to 2.3.2
    I have noticed that when i am creating a new post I no longer have the option of flicking between "Visual" and "Code" view. Is this normal?

    When I do the same on my WordPress.com hosted site I still see the two options.

    Have I done something bad during the upgrade?
    If this a "feature" of 2.3.3?

    Thanks in advance
    Ross
    [sig moderated]

  2. RossGoodman
    Member
    Posted 6 years ago #

    Any ideas?

  3. Chris_K
    Member
    Posted 6 years ago #

    Is this normal?

    Nope.

    If this a "feature" of 2.3.3?

    Nope.

    Have you tried clearing your browser's cache? If that doesn't do it, I'd suggest re-uploading the WP 2.3.2 files and make sure that you get ALL of them copied up.

  4. Samuel Wood (Otto)
    Tech Ninja
    Posted 6 years ago #

    Alternatively, you may have just turned it off. Go to the Users->My Profile page and see if you disabled it. It's the top checkbox.

    Still doublecheck that you uploaded all the files, of course, but that's something else to look at.

  5. Chris_K
    Member
    Posted 6 years ago #

    Good point, Otto42. I completely spaced that option.

  6. nachtwaechter
    Member
    Posted 6 years ago #

    Similar problem, visual editor does not appear after upgrade from wp 2.3.1 to 2.3.2. It worked without problems on the same server configuration with wp 2.3.1.

    Of course, visual editing is enabled. To be totally sure, I uploaded the tar to the server, extracted it there, deleted the old installation and copied the 2.3.2 files. But it does not help.

    The tabs "visual" and "code" do appear, but no wysiwyg editor in them. It is a simple textarea, and without the controls from the code editor. The problem do occur with the browsers Epiphany and Opera in the newest version.

    The javascript error console from Epiphany says: "editorTemplate has no properties".

    I could not test it with MS Internet Explorer, because there is no linux version of the IE. Epiphany uses the same engine as Mozilla, but in another GUI.

    I'm sure that it is a bug. It may occur only under strange conditions on the server. If anyone else get the same problem, we should check our webserver's configurations to find the reason for this problem.

  7. Samuel Wood (Otto)
    Tech Ninja
    Posted 6 years ago #

    Make sure that all your JS files are readable by the webserver. At least 444 permissions.

  8. nachtwaechter
    Member
    Posted 6 years ago #

    I have a 644 permission on all files in the wp-admin directory, so it seems not to be a permission problem. But the problem still exists, in WP 2.3.1 the WYSIWYG editor did work without problem, and in WP 2.3.2 it does not display in the textarea of the write post page.

    For me it is not a problem to use the old-style code editor, but it is a blog filled by other people too, and most of them do not understand HTML. Sometimes, it is necessary to create a link in a post...

    (The files are owned by my user account on the server. Of course the directories are readable and executable by all, so the apache can access them.)

  9. KingCasual
    Member
    Posted 6 years ago #

    I have the exact same problem...nog solutions so far..

  10. RossGoodman
    Member
    Posted 6 years ago #

    I'm an idiot !
    Otto42, you hit the nail on the head.
    At the same time as the upgrade I installed OpeinID support.
    In doing this I created a new user for myself.
    Visual editing was switched off for me !

    Thanks for the help !

    Ross

  11. nachtwaechter
    Member
    Posted 6 years ago #

    I could resolve my problem by installing the "Tiny MCE Advanced" plugin. Now I've got an avanced WYSIWYG, which is not exactly what I wanted, but it works for me (and hopefully for my co-authors, which is much more important).

    There is still a minor problem. To use the plugin version of the Tiny MCE, I have to deactivate the AdBlocker plugin in my Epiphany browser. With AdBlocker, the JavaScript does not load, but this seems to be a problem in the AdBlocker implementation. With Opera, the plugin works out of the box.

    If you do not have a WYSIWYG editor with 2.3.2, try the plugin. It helps me, and it may help you.

  12. KingCasual
    Member
    Posted 6 years ago #

    in fact i also tried this myself but still no visuals. I am not a experienced wordpress user. I actually started a week ago :). Hope someone can help me with this problem.

  13. vanaja
    Member
    Posted 6 years ago #

    I also having the same problem. I installed wp a week ago using fantastico to my bluehost server and then it was working nicely. Then I upgraded to 2.3.2 and now both the visual and code options are not seeing.Yes I have checked the box for visual editor. When I uncheck the same I can only see the codes. Please help!!!

  14. vanaja
    Member
    Posted 6 years ago #

    I installed this plugin http://wordpress.org/extend/plugins/tinymce-advanced/ and now it is working for firefox. but with IE7 still not

  15. KingCasual
    Member
    Posted 6 years ago #

    It does not work for me...either in IE7 or firefox.

  16. frekoutfil
    Member
    Posted 6 years ago #

    I am had a similar problem, but I was able to add a plugin that put in a new WYSIWYG editor. They work, however, the problem is I also have plugins Anarchy or WordPress Video plugin which no longer work in the new WYSIWYG editor. So I can't add videos and it is frustrating. Please help.

    My blog is http://www.scovilleclan.com

  17. KingCasual
    Member
    Posted 6 years ago #

    Still no solution for this problem and it is getting a bit frustrating.
    I've gone to every topic but cannot get it resolved.

    My blog is poker.spaubeekcasual.nl

    It all happened after i upgraded to 2.3.2 from 2.3.1 after installing it with Fantastico provided by my host.
    If someone wants to take a look at my site and help me with this i would really appreaciate it. Please contact me via mail : casual@spaubeekcasual.nl or via msn: casualvdb@hotmail.com. Thanks in advance.

  18. artweaver6
    Member
    Posted 6 years ago #

    I'm also still having a problem with this. Checked the suggestions above and still no luck. Cashe was deleted, but same problem on multiple browsers. Visual code view is checked in the profile, and javascript permissions are above 444. I have MCE installed also, but no visual view - as described above, the tabs are there, but all you see is html. Any other suggestions?

  19. MHNet
    Member
    Posted 6 years ago #

    I have WP installed on one of my websites and just tried it on the other today and encountered this problem. I have been installing and uninstalling it for the past 2+ hours trying to figure out the problem. I went so far as to look at the file size of EVERY file to make sure everything was uploaded properly. I did come across one file that was only half way uploaded. This did not solve the problem, however.

    But now I just hopefully permanently solved it. I was looking at the error log and it kept bringing up line 117 in the wp-settings.php file in the main directory. So I tried changing something and uploading it and that didn't work. So I changed it back and re-uploaded the file and now it works. I was stunned. So I checked it out on another computer at work and it still was NOT working on that computer. So what did I do? I went to the Write page (visual editor) and simply hit the Refresh button on the browser and now all the icons appear! Hope that problem is fixed for good now!

  20. eiland
    Member
    Posted 6 years ago #

    Strange, I have exactly the same from 2.3.2 to 2.3.3, or at least, only now i came aware of it. I just turned of my rich text editor, and now i have the buttons again, and when i turn it on, i have no buttons whatsoever.

    I did have this wee problem with upgrading, and in the end i didnt upgrade one file, because with that wordpress died on me, but i cant tthink what that would have to do with the RTE. I mean, it works in 2.3.2, so it should also work in 2.3.3 with one file from 2.3.2

  21. cx
    Member
    Posted 6 years ago #

    I'm trying to figure out why this has been marked as resolved. It clearly has not been. I have an upgraded 2.3.3 install on bluehost, upgraded properly, and with not errors. when trying to provide a user with login information, they are able to log in, and get to the edit panel, and nothing displays when the Visual Rich Editor is enabled. I have tried working with the Advanced MCE, and this doesnt resolve the problem for me, despite following the installation instructions completely.

    I have noticed that this seems to be a problem with IE mostly, and primarly ie 6 ( which is still the dominant browser out there.)

    everything that seems to trigger the visual rich editor to work seems to break, it doesnt matter if I'm using the advanced MCE or the tiny one, or WYSI-Wordpress for that matter. Anyone have any ideas?

  22. hankstram33
    Member
    Posted 6 years ago #

    ...be SURE you're:
    1. logging in to your dashboard,
    2. clicking on "Users",
    3. then click on "edit" to the right of your user name on the right side under "actions"
    4. under "edit user" there should be something that says "Use the visual editor when writing"
    5. Is that checked? If not, check it.

    I had the same problem everyone is mentioning here, and that resolved it - here is a screenshot of where it is.

    Hope this helps someone -
    hank

  23. corqspy
    Member
    Posted 6 years ago #

    I too, am seeing this issue after upgrading.
    (2.3.3) - I have tried adding tinyMCE, etc.

  24. inclusi0n
    Member
    Posted 6 years ago #

    I had the same problem and I found the following error was happening in wp-includes/js/tinymce/tiny_mce_gzip.php:
    "Allowed memory size of 8388608 bytes exhausted (tried to allocate xxxxx bytes)"

    So I changed this file, adding the line
    ini_set('memory_limit','16M');
    after the line
    @require_once('../../../wp-config.php');
    and this solved the problem.

    Hope this can help.

  25. gks
    Member
    Posted 6 years ago #

    inclusion's suggestion worked for me. thanks!

  26. simulationelson
    Member
    Posted 6 years ago #

    I think previously installing the Tiny MCE Advanced plugin was what screwed mine up. I browsed the wp-includes/js directory and surprisingly found a tinymce folder. Of course, that's when I realized why there's such a plugin labeled "advanced". Hehe. Anyway, what I did was simply delete the folder and replaced it with the one I newly extracted from the current wordpress-2.5.zip download.

  27. 1stfloor
    Member
    Posted 5 years ago #

    I've had the same problem since upgrading from 2.6 to 2.6.1. Reinstall, and even upgrading to 2.6.2 didn't help. Neither did all the other suggestions here (short of trashing the database and starting from scratch...) Finally, I decided to use a "hired gun". He fixed it in less than 15 min. for a very small fee. If you have the same issue and want to get it fixed email safosservers@gmail.com - let him know Thomas sent you.

    Cheers,
    Thomas

Topic Closed

This topic has been closed to new replies.

About this Topic